<?php
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //
// Author:    Ashley Kitson                                                  //
// Copyright: (c) 2004, Ashley Kitson                                        //
// URL:       http://xoobs.net                                               //
// Project:   The XOOPS Project (http://www.xoops.org/)                      //
// Module:    EU VAT (EUVAT)                                                 //
// ------------------------------------------------------------------------- //
/**
* Module installation parameters 
*
* This script conforms to the Xoops standard for xoops_version.php
*
* @author Ashley Kitson http://xoobs.net
* @copyright 2005 Ashley Kitson, UK
* @package EUVAT
* @subpackage Installation
* @access private
* @version 1
*/

$modversion['name'] = _MI_EUVAT_NAME;
$modversion['version'] = 1.0;
$modversion['description'] = _MI_EUVAT_DESC;
$modversion['credits'] = "Ashley Kitson<br />( http://xoobs.net/ ), Benjamin Boigienman, France";
$modversion['author'] = "Ashley Kitson";
//$modversion['help'] = "euvathelp.html";
$modversion['license'] = "GPL see LICENSE";
$modversion['official'] = 0;
$modversion['image'] = "images/euvat_slogo.png";
$modversion['dirname'] = "xbs_vat";
$modversion['onUninstall'] = "install_funcs.php";
$modversion['onInstall'] = "install_funcs.php";
$modversion['onUpdate'] = "install_funcs.php";

// Sql file (must contain sql generated by phpMyAdmin or phpPgAdmin)
// All tables should not have any prefix!
$modversion['sqlfile']['mysql'] = "sql/xbs_vat_mysql.sql";
//$modversion['sqlfile']['postgresql'] = "sql/pgsql.sql";

// Tables created by sql file (without prefix!)
//No tables created for EU VAT.  Code data is put into CDM tables
// by install sql script
//$modversion['tables'][0] = "";

// Main Menu
$modversion['hasMain'] = 0;

// Templates
// No main templates
//$modversion['templates'][1]['file'] = '';
//$modversion['templates'][1]['description'] = '';

// Admin menu things
$modversion['hasAdmin'] = 0;

//Search things
$modversion['hasSearch'] = 0;

//User comments things
$modversion['hasComments'] = 0;

//Module notification things
$modversion['hasNotification'] = 0;

// Blocks
$modversion['blocks'][1]['file'] = 'euvat_block_lookup.php';
$modversion['blocks'][1]['name'] = _MI_EUVAT_BLOCK_CODELOOKUPNAME;
$modversion['blocks'][1]['description'] = _MI_EUVAT_BLOCK_CODELOOKUPDESC;
$modversion['blocks'][1]['show_func'] = "b_euvat_lookup_show";
$modversion['blocks'][1]['edit_func'] = "b_euvat_lookup_edit";
$modversion['blocks'][1]['options'] = "GB"; //Default EU Country code 
$modversion['blocks'][1]['template'] = "euvat_block_lookup.tpl" ;


?>
